package com.hzs.bonus.bonus.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hzs.bonus.bonus.param.BonusExpandParam;
import com.hzs.common.domain.member.bonus.CuBonusExpand;
import com.hzs.common.domain.member.ext.CuBonusExpandExt;

import java.util.List;

/**
 * 服务类
 */
public interface ICuBonusExpandService extends IService<CuBonusExpand> {

    /*
     * @description: 查询4-n配置
     **/
    List<CuBonusExpandExt> queryBonusExpand(BonusExpandParam bonusExpandParam);

    /*
     * @description: 查询日期是否标红
     **/
    List<CuBonusExpandExt> queryBonusExpandDis(BonusExpandParam bonusExpandParam);

    /*
     * @description: 奖金计算时，先拉取昨日4-n 碰次，先用该碰次计算
     **/
    void firstSaveCuBonusExpand(BonusExpandParam bonusExpandParam);

    /*
     * @description: 奖金计算结束，统计波比、业绩
     **/
    void updateCuBonusExpandRatio(BonusExpandParam bonusExpandParam, String tableName);

    /*
     * @description: 保存或修改昨日4-n碰次
     **/
    void saveCuBonusExpand(BonusExpandParam bonusExpandParam);

    /*
     * @description: 重算首购奖金
     **/
    void repeatCuBonusByExpand(BonusExpandParam bonusExpandParam);
}
